.. py:module:: bcdi.graph

.. toctree::
   :maxdepth: 2

:mod:`bcdi.graph`: Templates for plotting and saving data
=========================================================

graph_utils
^^^^^^^^^^^

This module provides methods to plot 2D and 3D data using templates, and to save it
as a .vti file.

API Reference
-------------

.. automodule:: bcdi.graph.graph_utils
   :members:

linecut
^^^^^^^

This module provides a class and functions to generate linecuts through an array,
perform some fitting on it (e.g. to estimate the resolution of a reconstruction) and
plot it.

API Reference
-------------

.. automodule:: bcdi.graph.linecut
   :members:
